From 2c109bd7c1464700766547d1d408dcd8db82bc60 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Thu, 14 Dec 2023 05:09:32 +0200
Subject: [PATCH 21/21] Add second alt sound tag support for buildings

See RM #65

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/audio.c                       | 17 +++---
 client/audio.h                       |  3 +-
 client/clinet.c                      |  2 +-
 client/control.c                     |  3 +-
 client/gui-qt/chatline.cpp           |  2 +-
 client/packhand.c                    | 12 +++--
 common/improvement.h                 |  1 +
 common/networking/packets.def        |  1 +
 data/alien/buildings.ruleset         | 30 +++++++++++
 data/civ1/buildings.ruleset          | 46 ++++++++++++++++
 data/civ2/buildings.ruleset          | 67 +++++++++++++++++++++++
 data/civ2civ3/buildings.ruleset      | 72 +++++++++++++++++++++++++
 data/classic/buildings.ruleset       | 67 +++++++++++++++++++++++
 data/goldkeep/buildings.ruleset      | 69 ++++++++++++++++++++++++
 data/granularity/buildings.ruleset   |  3 ++
 data/multiplayer/buildings.ruleset   | 67 +++++++++++++++++++++++
 data/sandbox/buildings.ruleset       | 79 ++++++++++++++++++++++++++++
 data/stub/buildings.ruleset          |  1 +
 data/webperimental/buildings.ruleset | 67 +++++++++++++++++++++++
 server/ruleset/ruleload.c            |  4 ++
 tools/ruledit/edit_impr.cpp          | 21 ++++++++
 tools/ruledit/edit_impr.h            |  2 +
 tools/ruleutil/rulesave.c            |  3 ++
 23 files changed, 625 insertions(+), 14 deletions(-)

diff --git a/client/audio.c b/client/audio.c
index 47236b6bc1..d70b940a08 100644
--- a/client/audio.c
+++ b/client/audio.c
@@ -525,19 +525,24 @@ static int audio_play_music_tag(const char *tag, bool repeat,
 /**********************************************************************//**
   Play an audio sample as suggested by sound tags
 **************************************************************************/
-void audio_play_sound(const char *const tag, const char *const alt_tag)
+void audio_play_sound(const char *const tag, const char *const alt_tag,
+                      const char *const alt_tag2)
 {
   const char *pretty_alt_tag = alt_tag ? alt_tag : "(null)";
+  const char *pretty_alt2_tag = alt_tag2 ? alt_tag2 : "(null)";
 
   if (gui_options.sound_enable_effects) {
     fc_assert_ret(tag != NULL);
 
-    log_debug("audio_play_sound('%s', '%s')", tag, pretty_alt_tag);
+    log_debug("audio_play_sound('%s', '%s', '%s')",
+              tag, pretty_alt_tag, pretty_alt2_tag);
 
-    /* try playing primary tag first, if not go to alternative tag */
+    /* Try playing primary tag first, if not go to alternative tags */
     if (!audio_play_sound_tag(tag, FALSE)
-        && !audio_play_sound_tag(alt_tag, FALSE)) {
-      log_verbose( "Neither of tags %s or %s found", tag, pretty_alt_tag);
+        && !audio_play_sound_tag(alt_tag, FALSE)
+        && !audio_play_sound_tag(alt_tag2, FALSE)) {
+      log_verbose( "None of tags %s, %s, or %s found",
+                   tag, pretty_alt_tag, pretty_alt2_tag);
     }
   }
 }
@@ -655,7 +660,7 @@ void audio_shutdown(bool play_quit_tag)
   audio_stop();
 
   if (play_quit_tag) {
-    audio_play_sound("e_client_quit", NULL);
+    audio_play_sound("e_client_quit", NULL, NULL);
   }
 
   if (plugins[selected_plugin].initialized) {
diff --git a/client/audio.h b/client/audio.h
index 813897cbd2..0852f5d314 100644
--- a/client/audio.h
+++ b/client/audio.h
@@ -64,7 +64,8 @@ void audio_restart(const char *soundset_name, const char *musicset_name);
 void audio_pause(void);
 void audio_resume(void);
 
-void audio_play_sound(const char *const tag, const char *const alt_tag);
+void audio_play_sound(const char *const tag, const char *const alt_tag,
+                      const char *const alt_tag2);
 void audio_play_music(const char *const tag, char *const alt_tag,
                       enum music_usage usage);
 void audio_play_track(const char *const tag, char *const alt_tag);
diff --git a/client/clinet.c b/client/clinet.c
index ef4c3293b4..c728c79a5e 100644
--- a/client/clinet.c
+++ b/client/clinet.c
@@ -323,7 +323,7 @@ void disconnect_from_server(bool leaving_sound)
   output_window_append(ftc_client, _("Disconnected from server."));
 
   if (leaving_sound) {
-    audio_play_sound("e_leave_game", NULL);
+    audio_play_sound("e_leave_game", NULL, NULL);
   }
 
   if (gui_options.save_options_on_exit) {
diff --git a/client/control.c b/client/control.c
index b22c8f66b7..58f66a59b1 100644
--- a/client/control.c
+++ b/client/control.c
@@ -2784,7 +2784,8 @@ void do_move_unit(struct unit *punit, struct unit *target_unit)
       && punit->activity != ACTIVITY_SENTRY
       && !unit_transported(punit)) {
     audio_play_sound(unit_type_get(punit)->sound_move,
-                     unit_type_get(punit)->sound_move_alt);
+                     unit_type_get(punit)->sound_move_alt,
+                     NULL);
   }
 
   if (unit_owner(punit) == client.conn.playing
diff --git a/client/gui-qt/chatline.cpp b/client/gui-qt/chatline.cpp
index 58a43bef9e..55f1c3bdeb 100644
--- a/client/gui-qt/chatline.cpp
+++ b/client/gui-qt/chatline.cpp
@@ -773,7 +773,7 @@ void qtg_real_output_window_append(const char *astring,
   if (str.contains(wakeup) && client_state() < C_S_RUNNING
       && !wakeup.isEmpty()) {
     qapp->alert(gui()->central_wdg);
-    audio_play_sound("e_player_wake", nullptr);
+    audio_play_sound("e_player_wake", nullptr, nullptr);
   }
 
   chat_listener::update_word_list();
diff --git a/client/packhand.c b/client/packhand.c
index 2f09e1104a..98099ecddd 100644
--- a/client/packhand.c
+++ b/client/packhand.c
@@ -597,9 +597,11 @@ void handle_unit_combat_info(const struct packet_unit_combat_info *packet)
       int hp0 = packet->attacker_hp, hp1 = packet->defender_hp;
 
       audio_play_sound(unit_type_get(punit0)->sound_fight,
-                       unit_type_get(punit0)->sound_fight_alt);
+                       unit_type_get(punit0)->sound_fight_alt,
+                       NULL);
       audio_play_sound(unit_type_get(punit1)->sound_fight,
-                       unit_type_get(punit1)->sound_fight_alt);
+                       unit_type_get(punit1)->sound_fight_alt,
+                       NULL);
 
       if (gui_options.smooth_combat_step_msec > 0) {
         decrease_unit_hp_smooth(punit0, hp0, punit1, hp1);
@@ -883,7 +885,8 @@ void handle_city_info(const struct packet_city_info *packet)
 
     if (have && !city_is_new
         && pcity->built[improvement_index(pimprove)].turn <= I_NEVER) {
-      audio_play_sound(pimprove->soundtag, pimprove->soundtag_alt);
+      audio_play_sound(pimprove->soundtag, pimprove->soundtag_alt,
+                       pimprove->soundtag_alt2);
     }
     need_economy_dialog_update |=
         update_improvement_from_packet(pcity, pimprove, have);
@@ -1516,7 +1519,7 @@ void play_sound_for_event(enum event_type type)
   const char *sound_tag = get_event_tag(type);
 
   if (sound_tag) {
-    audio_play_sound(sound_tag, NULL);
+    audio_play_sound(sound_tag, NULL, NULL);
   }
 }
 
@@ -3914,6 +3917,7 @@ void handle_ruleset_building(const struct packet_ruleset_building *p)
   PACKET_STRVEC_EXTRACT(b->helptext, p->helptext);
   sz_strlcpy(b->soundtag, p->soundtag);
   sz_strlcpy(b->soundtag_alt, p->soundtag_alt);
+  sz_strlcpy(b->soundtag_alt2, p->soundtag_alt2);
 
 #ifdef FREECIV_DEBUG
   if (p->id == improvement_count() - 1) {
diff --git a/common/improvement.h b/common/improvement.h
index 849d5f2381..c9df48df8c 100644
--- a/common/improvement.h
+++ b/common/improvement.h
@@ -65,6 +65,7 @@ struct impr_type {
   struct strvec *helptext;
   char soundtag[MAX_LEN_NAME];
   char soundtag_alt[MAX_LEN_NAME];
+  char soundtag_alt2[MAX_LEN_NAME];
 
   /* Cache */
   bool allows_units;
diff --git a/common/networking/packets.def b/common/networking/packets.def
index 542cc0603d..ff1478e7df 100644
--- a/common/networking/packets.def
+++ b/common/networking/packets.def
@@ -1675,6 +1675,7 @@ PACKET_RULESET_BUILDING = 150; sc, lsend
   BV_IMPR_FLAGS flags;
   STRING soundtag[MAX_LEN_NAME];
   STRING soundtag_alt[MAX_LEN_NAME];
+  STRING soundtag_alt2[MAX_LEN_NAME];
   STRVEC helptext[MAX_LEN_PACKET];
 end
 
diff --git a/data/alien/buildings.ruleset b/data/alien/buildings.ruleset
index 275899dd53..7d7ccf57f8 100644
--- a/data/alien/buildings.ruleset
+++ b/data/alien/buildings.ruleset
@@ -94,6 +94,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_airport"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Allows one unit airlift from and to city, increased to three once \
@@ -117,6 +118,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_library"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Increases the science production of a city by 75%.")
@@ -138,6 +140,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "b_super_highways"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Basic Infrastructure to the city. This improvement has no maintenance, and \
@@ -165,6 +168,7 @@ upkeep          = 1
 sabotage        = 15
 sound           = "b_sam_battery"
 sound_alt       = "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Revolt cannot be incited in a city with bunker.\
@@ -189,6 +193,7 @@ upkeep          = 1
 sabotage        = 80
 sound           = "b_mfg_plant"
 sound_alt       = "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 City center tile produces three extra shields.\
@@ -212,6 +217,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "b_marketplace"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Increases the tax output in a city by 75%.\
@@ -235,6 +241,7 @@ upkeep          = 1
 sabotage        = 50
 sound           = "b_factory"
 sound_alt       = "b_generic"
+sound_alt2      = "-"
 helptext        = _("\
 Factory produces spare parts for two units removing their production upkeep.\
 ")
@@ -258,6 +265,7 @@ upkeep          = 1
 sabotage        = 30
 sound           = "b_sewer_system"
 sound_alt       = "b_generic"
+sound_alt2      = "-"
 helptext        = _("\
 Filter System gets 1 extra food and 1 extra production from each oceanic tile.\
 ")
@@ -281,6 +289,7 @@ upkeep          = 1
 sabotage        = 30
 sound           = "b_city_walls"
 sound_alt       = "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext        = _("\
 Force Walls doubles city defense against all kind of attacks. \
@@ -303,6 +312,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "b_palace"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Headquarters building marks city as your capital. City with \
@@ -326,6 +336,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_aqueduct"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Damaged units which stay in city without moving, heal 50% of their hitpoints \
@@ -349,6 +360,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "w_isaac_newtons_college"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Improved information gathering. Only 2 other factions needs to know \
@@ -372,6 +384,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_colosseum"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Makes 3 unhappy citizens content.\
@@ -395,6 +408,7 @@ upkeep		= 2
 sabotage	= 100
 sound		= "b_barracks_i"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 All new units are built as Elite ones.\
@@ -418,6 +432,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_mass_transit"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 City workers can travel further from city center to work and \
@@ -444,6 +459,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_coastal_defense"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 City with Radar Tower sees much further than one without.")
 
@@ -465,6 +481,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "b_nuclear_plant"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Radiation Resistor increases maximum city size by 3.\
 ")
@@ -487,6 +504,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_university"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Increases the science production of a city by 100%.")
@@ -509,6 +527,7 @@ upkeep          = 1
 sabotage        = 100
 sound           = "b_police_station"
 sound_alt       = "b_generic"
+sound_alt2      = "-"
 helptext        = _("\
 Secret Police is good at leading army.\n\n\
 Makes martial law possible. Each military unit in city makes one unhappy \
@@ -532,6 +551,7 @@ upkeep          = 2
 sabotage        = 100
 sound           = "b_stock_exchange"
 sound_alt       = "b_generic"
+sound_alt2      = "-"
 helptext        = _("\
 Radiation is weaker miles high. Top levels of really tall buildings can safely house \
 more people.\n\nCities can grow 5 sizes bigger.")
@@ -554,6 +574,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_temple"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Makes two unhappy citizens content.\
@@ -601,6 +622,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "b_space_component"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Space Components can be differentiated into Propulsion and Fuel\
  Components.  Each pair of them reduces your spaceship's travel\
@@ -625,6 +647,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "b_space_module"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Space Modules are the most expensive parts of spaceships.  There\
  are three different types of Space Module:\
@@ -658,6 +681,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "b_space_structural"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Space Structurals form the base of your spaceship.  All other\
  spaceship parts need to be connected to Structurals in order to\
@@ -681,6 +705,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_colossus"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Monument to celebrate our true home planet, Earth.\n\n\
 Each square around the city where this wonder is built that is already \
@@ -705,6 +730,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_king_richards_crusade"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Real deep mining.\n\n\
 Each square around the city where this wonder is built that is already \
@@ -729,6 +755,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_eiffel_tower"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 All player's antigravity units will regenerate 50% of their hitpoints each \
@@ -754,6 +781,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_asmiths_trading_co"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Each oceanic city center generates 3 points more trade and production.\
 ")
@@ -776,6 +804,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_womens_suffrage"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 All player's native alien units will regenerate 50% of their hitpoints each \
@@ -800,6 +829,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_great_wall"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Provides additional protection against radiation making it possible for \
 all cities player owns to grow 2 sizes bigger, unless growth is blocked by \
diff --git a/data/civ1/buildings.ruleset b/data/civ1/buildings.ruleset
index b9da88fc8c..7e4c7240d1 100644
--- a/data/civ1/buildings.ruleset
+++ b/data/civ1/buildings.ruleset
@@ -92,6 +92,7 @@ upkeep		= 2
 sabotage	= 100
 sound		= "b_aqueduct"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Allows a city to grow larger than size 10.\
 "), _("\
@@ -118,6 +119,7 @@ upkeep		= 3
 sabotage	= 100
 sound		= "b_bank"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Together with the Marketplace improvement, a Bank increases the\
@@ -143,6 +145,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_barracks_i"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 flags           = "Barracks"
 ; /* xgettext:no-c-format */
 helptext	= _("\
@@ -173,6 +176,7 @@ upkeep		= 2
 sabotage	= 100
 sound		= "b_barracks_ii"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 flags           = "Barracks"
 ; /* xgettext:no-c-format */
 helptext	= _("\
@@ -202,6 +206,7 @@ upkeep		= 3
 sabotage	= 100
 sound		= "b_barracks_iii"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 flags           = "Barracks"
 ; /* xgettext:no-c-format */
 helptext	= _("\
@@ -231,6 +236,7 @@ upkeep		= 3
 sabotage	= 100
 sound		= "b_cathedral"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 A Cathedral makes 4 unhappy citizens content in a city, making it\
  easier to maintain order in that city; however, it does not affect\
@@ -256,6 +262,7 @@ upkeep		= 2
 sabotage	= 50
 sound		= "b_city_walls"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 City Walls make it easier to defend a city.  They triple the defense\
  strength of units within the city. They are ineffective against\
@@ -285,6 +292,7 @@ upkeep		= 4
 sabotage	= 100
 sound		= "b_colosseum"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Entertains the citizens of a city, making 3 unhappy citizens content. \
  However, it does not affect citizens made unhappy by military activity.\
@@ -308,6 +316,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_courthouse"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Reduces the corruption in a city by 50%. Has no effect in your capital\
@@ -332,6 +341,7 @@ upkeep		= 4
 sabotage	= 100
 sound		= "b_factory"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Increases the shield production in a city by 50%.  This increase may\
@@ -356,6 +366,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_granary"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 The amount of stored food will be set to half full whenever a city\
  with a Granary shrinks or grows. This helps a city to grow faster\
@@ -393,6 +404,7 @@ upkeep		= 4
 sabotage	= 100
 sound		= "b_hydro_plant"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Reduces the amount of pollution generated by production in a city\
@@ -427,6 +439,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_library"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Increases the science output in a city by 50%.\
@@ -450,6 +463,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_marketplace"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Increases the luxury and tax output in a city by 50%.\
@@ -473,6 +487,7 @@ upkeep		= 4
 sabotage	= 100
 sound		= "b_mass_transit"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Neutralizes the pollution generated by the population. \
  The population simply has no effect on the pollution generated in\
@@ -498,6 +513,7 @@ upkeep		= 6
 sabotage	= 100
 sound		= "b_mfg_plant"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Together with a Factory, a Manufacturing Plant increases the shield\
@@ -523,6 +539,7 @@ upkeep		= 2
 sabotage	= 100
 sound		= "b_nuclear_plant"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Reduces the amount of pollution generated by production in a city\
@@ -558,6 +575,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "b_palace"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Makes a city the capital and the center of your government.\
  Corruption in other cities is related to how far away from the\
@@ -599,6 +617,7 @@ upkeep		= 4
 sabotage	= 100
 sound		= "b_power_plant"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Increases the shield production of a Factory or Mfg. Plant in a\
@@ -629,6 +648,7 @@ upkeep		= 2
 sabotage	= 100
 sound		= "b_recycling_center"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Building a Recycling Center reduces the amount of pollution\
@@ -653,6 +673,7 @@ upkeep		= 4
 sabotage	= 100
 sound		= "b_sdi_defense"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Protects a city and its environs (up to 2 tiles away) from attacks\
  by other nations' Nuclear units. A Nuclear unit not owned by you or a\
@@ -678,6 +699,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "b_space_component"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Space Components can be differentiated into Propulsion and Fuel\
  Components.  Each pair of them reduces your spaceship's travel\
@@ -705,6 +727,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "b_space_module"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Space Modules are the most expensive parts of spaceships.  There\
  are three different types of Space Module:\
@@ -741,6 +764,7 @@ upkeep		= 0
 sabotage	= 100
 sound		= "b_space_structural"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Space Structurals form the base of your spaceship.  All other\
  spaceship parts need to be connected to Structurals in order to\
@@ -768,6 +792,7 @@ upkeep		= 1
 sabotage	= 100
 sound		= "b_temple"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Makes one unhappy citizen content.  The Mysticism advance doubles\
  this effect, as does the Oracle wonder.  With both Mysticism and the Oracle,\
@@ -797,6 +822,7 @@ upkeep		= 3
 sabotage	= 100
 sound		= "b_university"
 sound_alt	= "b_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Together with a Library, a University increases the science\
@@ -846,6 +872,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_colossus"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Each tile around the city where this wonder is built that is already\
  generating some trade produces one extra trade resource.\
@@ -870,6 +897,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_copernicus_observatory"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Boosts science production by 50% in the city where it is built.\
@@ -893,6 +921,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_cure_for_cancer"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 This stunning technological achievement makes one unhappy\
  citizen content in each of your cities (including citizens unhappy\
@@ -917,6 +946,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_darwins_voyage"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Charles Darwin's voyage sparked the discovery of the evolution\
  of the species, which inspired greater confidence in science.\
@@ -942,6 +972,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_great_library"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 The civilization which builds the Great Library gets every advance\
  that at least two other teams have achieved.\
@@ -966,6 +997,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_great_wall"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Works as a City Wall in all your cities.\
 ")
@@ -991,6 +1023,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_hanging_gardens"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Makes one content citizen happy in every city. In the unlikely event\
  where there are no content citizens to get the effect of Hanging\
@@ -1016,6 +1049,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_hoover_dam"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Works as if you had a Hydro Plant in every city\
  on the same continent where the wonder is built. \
@@ -1042,6 +1076,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_isaac_newtons_college"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Boosts science production by 100% in the city where it is built.\
@@ -1065,6 +1100,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_js_bachs_cathedral"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Makes two unhappy citizens content in every city of yours\
  on the same continent where the wonder is built (including citizens\
@@ -1090,6 +1126,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_lighthouse"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Gives all your sea units 1 additional movement point.\
 ")
@@ -1112,6 +1149,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_magellans_expedition"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Gives all sea units 1 additional movement point.\
 ")
@@ -1134,6 +1172,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_manhattan_project"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 ;helptext is set in client/helpdata.c:helptext_wonder()
 ;helptext	=
 
@@ -1156,6 +1195,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_michelangelos_chapel"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Double effects of Cathedrals, in all cities.\
 ")
@@ -1179,6 +1219,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_oracle"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Doubles the effect of a Temple in every city.\
  Does not affect citizens made unhappy by military activity.\
@@ -1203,6 +1244,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_pyramids"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Allows you to choose any government, including those that have not yet\
  been researched by your civilization, and without the transition\
@@ -1227,6 +1269,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_seti_program"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 ; /* xgettext:no-c-format */
 helptext	= _("\
 Boosts science production in each city by 50%.\
@@ -1252,6 +1295,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_shakespeares_theatre"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Makes all angry and unhappy citizens content in the city where it\
  is located, including citizens unhappy about military activity.\
@@ -1275,6 +1319,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_united_nations"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 Allows you to choose any government, including those that have not yet\
  been researched by your civilization, and without the transition\
@@ -1304,6 +1349,7 @@ upkeep		= 0
 sabotage	= 0
 sound		= "w_womens_suffrage"
 sound_alt	= "w_generic"
+sound_alt2      = "-"
 helptext	= _("\
 In all cities, the unhappiness effect of every unit is reduced by 1.\
  This means that in a Republic, units do not cause unhappiness, and in\
